Upstream information

CVE-2014-8153 at MITRE

Description

The L3 agent in OpenStack Neutron 2014.2.x before 2014.2.2, when using radvd 2.0+, allows remote authenticated users to cause a denial of service (blocked router update processing) by creating eight routers and assigning an ipv6 non-provider subnet to each.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having low severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 4
Vector AV:N/AC:L/Au:S/C:N/I:N/A:P
Access Vector Network
Access Complexity Low
Authentication Single
Confidentiality Impact None
Integrity Impact None
Availability Impact Partial
SUSE Bugzilla entry: 913369 [RESOLVED]

No SUSE Security Announcements cross referenced.

List of released packages

Product(s) Fixed package version(s) References
SUSE Cloud Compute Node for SUSE Linux Enterprise 12 5
  • openstack-neutron >= 2014.2.2.dev26-3.1
  • openstack-neutron-dhcp-agent >= 2014.2.2.dev26-3.1
  • openstack-neutron-ha-tool >= 2014.2.2.dev26-3.1
  • openstack-neutron-l3-agent >= 2014.2.2.dev26-3.1
  • openstack-neutron-lbaas-agent >= 2014.2.2.dev26-3.1
  • openstack-neutron-linuxbridge-agent >= 2014.2.2.dev26-3.1
  • openstack-neutron-metadata-agent >= 2014.2.2.dev26-3.1
  • openstack-neutron-metering-agent >= 2014.2.2.dev26-3.1
  • openstack-neutron-openvswitch-agent >= 2014.2.2.dev26-3.1
  • openstack-neutron-vpn-agent >= 2014.2.2.dev26-3.1
  • python-neutron >= 2014.2.2.dev26-3.1
Patchnames:
SUSE Cloud Compute Node for SUSE Linux Enterprise 12 5 GA openstack-neutron
SUSE OpenStack Cloud 6
  • openstack-neutron >= 7.0.4~a0~dev18-1.1
  • openstack-neutron-dhcp-agent >= 7.0.4~a0~dev18-1.1
  • openstack-neutron-ha-tool >= 7.0.4~a0~dev18-1.1
  • openstack-neutron-l3-agent >= 7.0.4~a0~dev18-1.1
  • openstack-neutron-linuxbridge-agent >= 7.0.4~a0~dev18-1.1
  • openstack-neutron-metadata-agent >= 7.0.4~a0~dev18-1.1
  • openstack-neutron-metering-agent >= 7.0.4~a0~dev18-1.1
  • openstack-neutron-mlnx-agent >= 7.0.4~a0~dev18-1.1
  • openstack-neutron-nvsd-agent >= 7.0.4~a0~dev18-1.1
  • openstack-neutron-openvswitch-agent >= 7.0.4~a0~dev18-1.1
  • openstack-neutron-plugin-cisco >= 7.0.2~a0~dev63-1.1
  • openstack-neutron-restproxy-agent >= 7.0.4~a0~dev18-1.1
  • openstack-neutron-server >= 7.0.4~a0~dev18-1.1
  • python-neutron >= 7.0.4~a0~dev18-1.1
Patchnames:
SUSE OpenStack Cloud 6 GA openstack-neutron


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SUSE Cloud 11.3 openstack-neutron Not affected
SUSE Cloud 4 openstack-neutron Not affected
SUSE Cloud 5 openstack-neutron Already fixed